package com.xydl.cac.service;

import com.xydl.cac.entity.IedDlRecord;
import com.xydl.cac.exception.BusinessException;
import org.springframework.data.domain.Page;

import java.util.Date;

public interface IedDlRecordService {

    Page<IedDlRecord> list(Integer configId, Integer devId, Date startTime, Date endTime, int pageNum, int pageSize) throws Exception;

    void add(IedDlRecord item);

    boolean exist(IedDlRecord item);

    void update(IedDlRecord item);

    void rebuildData(Integer id) throws BusinessException;
}
